# FirstPromoter Docs ## Docs - [Authentication](https://docs.firstpromoter.com/api-reference-v2/api-admin/authentication.md): How to authenticate your API - [List in progress batch processes.](https://docs.firstpromoter.com/api-reference-v2/api-admin/batches/list-inprogress-batch-processes.md): List batch processes that are in progress **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/batch_processes`
- [Show batch process](https://docs.firstpromoter.com/api-reference-v2/api-admin/batches/show-batch-process.md): Show details of a specific batch process **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/batch_processes/{id}`
- [Show progress](https://docs.firstpromoter.com/api-reference-v2/api-admin/batches/show-progress.md): Show progress of batch process. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/batch_processes/progress`
- [Approve commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/approve-commissions.md): With this endpoint you can approve commissions. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `fa… - [Create a commission](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/create-a-commission.md): With this endpoint you can create a commission. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/company/commissions`
- [Deny commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/deny-commissions.md): With this endpoint you can deny commissions. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `faile… - [Get all commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/get-all-commissions.md): With this endpoint you can list all rewards and commissions assigned to a promotion, promoter, campaign or entire account using the API. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/commissions`
- [Mark nonmonetary commissions as fulfilled](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/mark-nonmonetary-commissions-as-fulfilled.md): With this endpoint you can mark nonmonetary commissions as fulfilled. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/company/commissions/mark_fulfilled`
- [Mark nonmonetary commissions as unfulfilled](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/mark-nonmonetary-commissions-as-unfulfilled.md): With this endpoint you can mark nonmonetary commissions as unfulfilled. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/company/commissions/mark_unfulfilled`
- [Update a commission](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/update-a-commission.md): With this endpoint you can update a commission. **HTTP Request**
`PUT https://api.firstpromoter.com/api/v2/company/commissions/{id}`
- [Introduction](https://docs.firstpromoter.com/api-reference-v2/api-admin/introduction.md): This is the public API documentation for FirstPromoter V2. - [Get all payouts](https://docs.firstpromoter.com/api-reference-v2/api-admin/payouts/get-all-payouts.md): With this endpoint you can list all payouts. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/payouts`
- [Get all payouts grouped by promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/payouts/get-all-payouts-grouped-by-promoters.md): This endpoint returns all payouts but grouped by promoters. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/payouts/group_by_promoters`
- [Get due payout stats](https://docs.firstpromoter.com/api-reference-v2/api-admin/payouts/get-due-payout-stats.md): This endpoint returns statistics about due payouts. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/payouts/due_stats`
- [Get payout stats](https://docs.firstpromoter.com/api-reference-v2/api-admin/payouts/get-payout-stats.md): This endpoint returns statistics about payouts. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/payouts/stats`
- [Archive promo code by id](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/archive-promo-code-by-id.md): Archive promo code by id. **HTTP Request**
`DELETE https://api.firstpromoter.com/api/v2/company/promo_codes/{id}`
- [Create promo code (Stripe Only)](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/create-promo-code.md): With this endpoint you can create a new promo code. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/company/promo_codes`
- [Get promo code by id](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/get-promo-code-by-id.md): With this endpoint you can get the details of a specific promo code. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/promo_codes/{id}`
- [Get promo codes](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/get-promo-codes.md): With this endpoint you can list all promo codes. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/promo_codes`
- [Update promo code by id](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/update-promo-code-by-id.md): Update promo code by id. Can not be updated if archived and ext_id present. **HTTP Request**
`PUT https://api.firstpromoter.com/api/v2/company/promo_codes/{id}`
- [Get available promoter campaigns](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoter-campaigns/get-available-promoter-campaigns.md): With this endpoint you can list all promoter campaigns. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/promoter_campaigns`
- [Update promoter campaign](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoter-campaigns/update-promoter-campaign.md): With this endpoint you can update a promoter campaign. **HTTP Request**
`PUT https://api.firstpromoter.com/api/v2/company/promoter_campaigns/{id}`
- [Accept promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/accept-promoters.md): With this endpoint you can accept promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `faile… - [Add promoters to campaign](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/add-promoter-to-campaign.md): With this endpoint you can add promoters to a campaign. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `complet… - [Archive promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/archive-promoters.md): With this endpoint you can archive promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `fail… - [Assign a parent promoter](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/assign-parent-promoter.md): With this endpoint you can assign a parent promoter to your promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_prog… - [Block promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/block-promoters.md): With this endpoint you can block promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `failed… - [Create promoter](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/create-promoter.md): With this endpoint you can create a promoter. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/company/promoters`
- [Get available promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/get-available-promoters.md): With this endpoint you can list all promoters. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/promoters`
- [Get promoter details](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/get-promoter-details.md): With this endpoint you can get the details of a promoter. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/promoters/{id}`
- [Move promoters to campaign](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/move-promoter-to-campaign.md): With this endpoint you can move promoters from one campaign to another. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_pro… - [Reject promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/reject-promoters.md): With this endpoint you can reject promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `faile… - [Restore promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/restore-unarchived-promoters.md): With this endpoint you can restore promoters. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `fail… - [Update promoter](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/update-promoter.md): With this endpoint you can update a promoter. **HTTP Request**
`PUT https://api.firstpromoter.com/api/v2/company/promoters/{id}`
- [Delete referrals](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/delete-referrals.md): With this endpoint you can delete referrals. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `completed`, `faile… - [Get referral](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/get-referral.md): Get a specific referral **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/referrals/{id}`
- [Get available referrals](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/get-referrals.md): Get available referrals **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/referrals`
- [Move referrals to promoter](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/move-referrals-to-promoter.md): With this endpoint you can move referrals to another promoter. If there are more than __5__ ids on the __ids__ param/field, the action will be processed asynchronously. The response for the batch status will most likely be `in_progress`. The available statuses are `pending`, `in_progress`, `… - [Update referral](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/update-referral.md): Update a specific referral. The id can be a referral ID, email, uid, or username when used with the find_by parameter in the request body. **HTTP Request**
`PUT https://api.firstpromoter.com/api/v2/company/referrals/{id}`
- [Get reports for campaigns](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/get-reports-for-campaigns.md): With this endpoint you can get the report data grouped by campaigns.**HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/reports/campaigns`
- [Get reports for overview](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/get-reports-for-overview.md): Get reports for overview **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/reports/overview`
- [Get reports for promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/get-reports-for-promoters.md): With this endpoint you can get the report data grouped by promoters.**HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/reports/promoters`
- [Get reports for traffic sources](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/get-reports-for-traffic-sources.md): With this endpoint you can get the report data grouped by traffic sources. **HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/reports/traffic_sources`
- [Get reports for URLs](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/get-reports-for-urls.md): With this endpoint you can get the report data grouped by URLs.**HTTP Request**
`GET https://api.firstpromoter.com/api/v2/company/reports/urls`
- [Tracking cancellations](https://docs.firstpromoter.com/api-reference-v2/api-admin/tracking-api/cancellation.md): This call will mark the customer as cancelled and will decrease the MRR generated by them. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/track/cancellation`
- [Tracking leads and sign-ups](https://docs.firstpromoter.com/api-reference-v2/api-admin/tracking-api/leads-and-signups.md): Capture a lead when they sign-up or fill an optin form. This endpoint is used to track leads and sign-ups. It's not for tracking the actual sales and commissions.

Sign-ups are tracked as leads in FirstPromoter so when a person referred by the promoter/affiliate signs up, a new referral… - [Tracking refunds and negative commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/tracking-api/refund.md): The refund call is similar to the sale call. It works the same way, except that it generates negative commissions. **HTTP Request**
`POST https://api.firstpromoter.com/api/v2/track/refund`
- [Tracking sales and commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/tracking-api/sales.md): Assign sales and commissions to your promoters. To track sales and generate commissions correctly, you need to use this API call each time a non-zero amount sale is processed in your system, even if it comes from a recurring charge or one-time charge. To avoid fraudulent sales, we don't use JS… - [Proxy Setup (Optional)](https://docs.firstpromoter.com/guides/proxy-setup.md): FirstPromoter Proxy Integration Guide for Bypassing Ad Blockers - [Tracking with fpr.js](https://docs.firstpromoter.com/guides/tracking-with-fprjs.md): Track clicks and referrals using the fpr.js scripts - [Tracking without fpr.js](https://docs.firstpromoter.com/guides/tracking-without-fprjs.md): Track affiliate leads and sales/payments using API calls - [How FirstPromoter works](https://docs.firstpromoter.com/how-it-works.md): Set up and manage your own affiliate program, no matter how simple or complex your affiliate scheme is. - [API](https://docs.firstpromoter.com/integrations/billing/api.md): Tracking sales with API - [Braintree](https://docs.firstpromoter.com/integrations/billing/braintree.md): Connecting FirstPromoter with Braintree - [Chargebee](https://docs.firstpromoter.com/integrations/billing/chargebee.md): Connecting FirstPromoter with Chargebee - [Paddle](https://docs.firstpromoter.com/integrations/billing/paddle.md): Connecting FirstPromoter with Paddle - [Recurly](https://docs.firstpromoter.com/integrations/billing/recurly.md): Connecting FirstPromoter with Recurly - [Stripe](https://docs.firstpromoter.com/integrations/billing/stripe.md): Connecting FirstPromoter with Stripe - [API Integration](https://docs.firstpromoter.com/integrations/tracking/custom/api.md): Track referrals server-side with the FirstPromoter Tracking API - [Django](https://docs.firstpromoter.com/integrations/tracking/custom/django.md): Adding FirstPromoter to your Django website - [Google Tag Manager](https://docs.firstpromoter.com/integrations/tracking/custom/gtm.md): Setting up your Main tracking script in Google Tag Manager (GTM) - [JavaScript Tracking](https://docs.firstpromoter.com/integrations/tracking/custom/js.md): Use our Javascript option to track clicks and sign-ups - [Paddle Checkout](https://docs.firstpromoter.com/integrations/tracking/custom/paddle-checkout.md): Tracking using Paddle Checkout - [PHP](https://docs.firstpromoter.com/integrations/tracking/custom/php.md): Adding FirstPromoter to your custom PHP website - [Ruby on Rails](https://docs.firstpromoter.com/integrations/tracking/custom/rails.md): Adding FirstPromoter to your Rails website - [Stripe Checkout](https://docs.firstpromoter.com/integrations/tracking/custom/stripe-checkout.md): Tracking using Stripe Checkout - [Calendly](https://docs.firstpromoter.com/integrations/tracking/platform/calendly.md): Working with FirstPromoter and Calendly - [Drop-in Scripts](https://docs.firstpromoter.com/integrations/tracking/platform/chargebee/drop-in-scripts.md): Integrating FirstPromoter with Chargebee Drop-in Scripts - [Hosted Pages](https://docs.firstpromoter.com/integrations/tracking/platform/chargebee/hosted-pages.md): Integrating FirstPromoter with Chargebee Hosted pages - [ClickFunnels](https://docs.firstpromoter.com/integrations/tracking/platform/clickfunnels.md): Adding FirstPromoter to your ClickFunnels website - [DropFunnels](https://docs.firstpromoter.com/integrations/tracking/platform/dropfunnels.md): Adding FirstPromoter to your DropFunnels website - [Ghost](https://docs.firstpromoter.com/integrations/tracking/platform/ghost.md): Adding FirstPromoter to your Ghost Website - [Highlevel](https://docs.firstpromoter.com/integrations/tracking/platform/highlevel.md): Adding FirstPromoter to Highlevel - [Kajabi](https://docs.firstpromoter.com/integrations/tracking/platform/kajabi.md): Adding FirstPromoter to Kajabi - [Kartra](https://docs.firstpromoter.com/integrations/tracking/platform/kartra.md): Adding FirstPromoter to Kartra - [Kickpages](https://docs.firstpromoter.com/integrations/tracking/platform/kickpages.md): Adding FirstPromoter to Kickpages - [Samcart](https://docs.firstpromoter.com/integrations/tracking/platform/samcart.md): Adding FirstPromoter to Samcart - [Payment Links](https://docs.firstpromoter.com/integrations/tracking/platform/stripe/payment-links.md): Adding FirstPromoter when using Stripe payment links - [Pricing Table](https://docs.firstpromoter.com/integrations/tracking/platform/stripe/pricing-table.md): Adding FirstPromoter when using Stripe pricing table - [Thinkific](https://docs.firstpromoter.com/integrations/tracking/platform/thinkific.md): Adding FirstPromoter to Thinkific - [ThriveCart](https://docs.firstpromoter.com/integrations/tracking/platform/thrivecart.md): Adding FirstPromoter to ThriveCart - [Introduction](https://docs.firstpromoter.com/introduction.md): Turn Affiliate Marketing into Your Competitive Advantage - [Quickstart](https://docs.firstpromoter.com/quickstart.md): Start building your awesome affiliate or referral program in minutes. - [Advanced use cases & examples](https://docs.firstpromoter.com/script-docs/advanced.md) - [Concepts & Key Terminologies](https://docs.firstpromoter.com/script-docs/concepts.md): List of concepts and key terminologies used in the documentation - [FirstPromoter JavaScript Library (fpr.js)](https://docs.firstpromoter.com/script-docs/fpr-js-docs.md): This is a reference document for all the methods available in FirstPromoter's browser-side JavaScript Library, fpr.js - [Delivery Tracking & Retries](https://docs.firstpromoter.com/webhooks-v2/deliveries.md): Monitor delivery attempts, understand retry behaviour, and manually retry failed deliveries. - [Event Types](https://docs.firstpromoter.com/webhooks-v2/event-types.md): All event types available for webhooks v2 subscriptions. - [Non-Monetary Rewards](https://docs.firstpromoter.com/webhooks-v2/non-monetary-rewards.md): How to listen to webhook events and use the API to fulfill non-monetary rewards such as points, credits, and free months. - [Webhooks v2 Overview](https://docs.firstpromoter.com/webhooks-v2/overview.md): Subscribe to real-time events from your FirstPromoter account with the new webhooks system. - [Payload Structure](https://docs.firstpromoter.com/webhooks-v2/payload.md): The JSON payload sent to your webhook endpoint for every event. ## OpenAPI Specs - [openapi-v2-emails](https://docs.firstpromoter.com/api-reference-v2/api-admin/openapi-v2-emails.json) - [openapi-v2-referrals](https://docs.firstpromoter.com/api-reference-v2/api-admin/referrals/openapi-v2-referrals.json) - [openapi-reports](https://docs.firstpromoter.com/api-reference-v1/openapi-reports.json) - [openapi-v2-affiliate-promoter-campaigns](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/promoter-campaigns/openapi-v2-affiliate-promoter-campaigns.json) - [openapi-v2-promoters](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoters/openapi-v2-promoters.json) - [openapi-v2-payouts](https://docs.firstpromoter.com/api-reference-v2/api-admin/payouts/openapi-v2-payouts.json) - [openapi-v2-commissions](https://docs.firstpromoter.com/api-reference-v2/api-admin/commissions/openapi-v2-commissions.json) - [openapi-tracking](https://docs.firstpromoter.com/api-reference-v1/openapi-tracking.json) - [openapi-promoters](https://docs.firstpromoter.com/api-reference-v1/openapi-promoters.json) - [openapi-v2-affiliate-payouts](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/payouts/openapi-v2-affiliate-payouts.json) - [openapi-v2-advanced-payout-methods](https://docs.firstpromoter.com/api-reference-v2/api-advanced/payout-methods-api/openapi-v2-advanced-payout-methods.json) - [openapi-payouts](https://docs.firstpromoter.com/api-reference-v1/openapi-payouts.json) - [openapi-v2-affiliate-campaigns](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/campaigns/openapi-v2-affiliate-campaigns.json) - [openapi-v2-campaigns](https://docs.firstpromoter.com/api-reference-v2/api-advanced/campaigns-api/openapi-v2-campaigns.json) - [openapi-v2-asset-categories](https://docs.firstpromoter.com/api-reference-v2/api-advanced/asset-categories-api/openapi-v2-asset-categories.json) - [openapi-rewards](https://docs.firstpromoter.com/api-reference-v1/openapi-rewards.json) - [openapi-leads](https://docs.firstpromoter.com/api-reference-v1/openapi-leads.json) - [openapi-v2-affiliate-reports](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/reports/openapi-v2-affiliate-reports.json) - [openapi-v2-affiliate-referrals](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/referrals/openapi-v2-affiliate-referrals.json) - [openapi-v2-affiliate-promoters](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/promoters/openapi-v2-affiliate-promoters.json) - [openapi-v2-affiliate-promo-codes](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/promo-codes/openapi-v2-affiliate-promo-codes.json) - [openapi-v2-affiliate-payout-methods](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/payout-methods/openapi-v2-affiliate-payout-methods.json) - [openapi-v2-affiliate-email-settings](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/email-settings/openapi-v2-affiliate-email-settings.json) - [openapi-v2-affiliate-contract-documents](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/contract-documents/openapi-v2-affiliate-contract-documents.json) - [openapi-v2-affiliate-commissions](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/commissions/openapi-v2-affiliate-commissions.json) - [openapi-v2-affiliate-assets](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/assets/openapi-v2-affiliate-assets.json) - [openapi-v2-rewards](https://docs.firstpromoter.com/api-reference-v2/api-advanced/rewards/openapi-v2-rewards.json) - [openapi-v2-advanced-products](https://docs.firstpromoter.com/api-reference-v2/api-advanced/products-api/openapi-v2-advanced-products.json) - [openapi-v2-assets](https://docs.firstpromoter.com/api-reference-v2/api-advanced/assets/openapi-v2-assets.json) - [openapi-v2-invoices](https://docs.firstpromoter.com/api-reference-v2/api-advanced/invoices/openapi-v2-invoices.json) - [openapi-v2-dashboard](https://docs.firstpromoter.com/api-reference-v2/api-advanced/dashboard-api/openapi-v2-dashboard.json) - [openapi-v2-contracts](https://docs.firstpromoter.com/api-reference-v2/api-advanced/contracts-api/openapi-v2-contracts.json) - [openapi-v2-contract-documents](https://docs.firstpromoter.com/api-reference-v2/api-advanced/contract-documents-api/openapi-v2-contract-documents.json) - [openapi-v2-payent-batches](https://docs.firstpromoter.com/api-reference-v2/api-advanced/payments-batches/openapi-v2-payent-batches.json) - [openapi-v2-tracking](https://docs.firstpromoter.com/api-reference-v2/api-admin/tracking-api/openapi-v2-tracking.json) - [openapi-v2-promoter-campaigns](https://docs.firstpromoter.com/api-reference-v2/api-admin/promoter-campaigns/openapi-v2-promoter-campaigns.json) - [openapi-v2-reports](https://docs.firstpromoter.com/api-reference-v2/api-admin/reports/openapi-v2-reports.json) - [openapi-v2-promocodes](https://docs.firstpromoter.com/api-reference-v2/api-admin/promo-codes/openapi-v2-promocodes.json) - [openapi-v2-batches](https://docs.firstpromoter.com/api-reference-v2/api-admin/batches/openapi-v2-batches.json) - [openapi-v2-affiliate-referral-links](https://docs.firstpromoter.com/api-reference-v2/api-affiliate/referral-links/openapi-v2-affiliate-referral-links.json) ## Optional - [API Reference](https://docs.firstpromoter.com/api-reference-v2/api-admin/introduction) - [Help Center](https://help.firstpromoter.com/en/)